---
id: install
title: Tuxbot - Installation
sidebar_label: Tuxbot 
---

Ce guide vous permet de déployer l'entièreté des fonctionnalités de TuxBot sur votre propre serveur.

Ce guide suis les mêmes étapes que le déploiement sur l'instance officielle au sein d'un container LXC de Ubuntu 18.04. 

Ce guide n'utilise pas Python Virtual Env. 

## Prérequis 

### Python 3.7
Tuxbot utilise différentes fonctions de Python 3.7, il est donc nécessaire de l'installer sur votre machine.

Voici les instructions pour l'obtenir sous Ubuntu 18.04 avec le PPA "Deadsnake" : 
```
sudo apt update
sudo apt install software-properties-common
sudo add-apt-repository ppa:deadsnakes/ppa
sudo apt install python3.7
```

## Installation du Bot
Tuxbot dispose d'un script d'installation automatique pour une majorité de distributions Linux avec Systemd (Ubuntu, Fedora, etc..). 
Le script a besoin de la commande ``pip3.7`` et ``git`` vérifiez que vous les avez avant de continuer !

### Récupérer et executer le script avec ``curl`` : 
```sudo sh -c "$(curl -fsSL https://git.gnous.eu/gnouseu/tuxbot-bot/raw/branch/master/autoinstall.sh)"```

### Récuperer et executer le script avec ``wget`` : 
```sudo sh -c "$(wget https://git.gnous.eu/gnouseu/tuxbot-bot/raw/branch/master/autoinstall.sh -O -)""```

Vous serez guidés tout au long du script. Il vous proposera aussi de générer pour vous le fichier de configuration. 

Lors de la configuration, la seule option requise pour le bon fonctionnement du bot est le token. [Cliquez ici pour trouver comment l'obtenir](../gettoken)

## Vérification 
Une fois le script terminé, Tuxbot a du être lancé, vérifiez cela en utilisant la commande : 
``systemctl status tuxbot`` 

- Si ``active (running)`` est affiché, le bot fonctionne : 
Vérifiez que la connexion avec l'API Discord est fonctionnelle en utilisant la commande ``.ping`` dans un salon où le bot est présent 

Si rien n'est retourné : 
Vérifiez les permissions d'écriture du bot dans le salon.
Vérifiez le token dans le fichier de configuration. 

- Si vous avez une erreur : 
Vérifiez les logs de la commande ``systemctl status tuxbot`` 
Vérifiez les logs de l'installeur dans ``/root/.tuxinstall.log``
